#include "plugins/protocols/modbus_rtu/framer/ModbusRtuFramerPlugin.h"
#include "plugins/protocols/modbus_rtu/mapper/ModbusRtuProtocolMapperPlugin.h"
#include "plugins/protocols/modbus_rtu/parser/ModbusRtuProtocolPlugin.h"

extern "C" int softbus_plugin_abi_version()
{
    return 1;
}

extern "C" softbus::core::plugin_system::IProtocolPlugin* softbus_create_protocol_plugin()
{
    return softbus::core::plugin_system::createModbusRtuProtocolPluginRaw();
}

extern "C" softbus::core::plugin_system::IProtocolFramerPlugin* softbus_create_framer_plugin()
{
    return softbus::message_bus::pipeline::protocol::modbusrtu::createModbusRtuFramerPluginRaw();
}

extern "C" softbus::core::plugin_system::IProtocolMapperPlugin* softbus_create_mapper_plugin()
{
    return softbus::message_bus::pipeline::protocol::modbusrtu::createModbusRtuProtocolMapperPluginRaw();
}
